Bug 1018550 - needless libunwind dependency
needless libunwind dependency
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: weston (Show other bugs)
22
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On: 1018549
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-13 03:41 EDT by Jan Kratochvil
Modified: 2016-07-19 06:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1018549
Environment:
Last Closed: 2016-07-19 06:28:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2013-10-13 03:41:08 EDT
I have found Fedora weston depends on libunwind.  There is a longterm plan to obsolete libunwind from Fedora by new elfutils unwinder.  But xorg-x11-server does not even need any external (non-glibc) unwinder.

You do only self-backtrace (called local unwinding by libunwind).  glibc
backtrace() can do the same.  Libunwind only adds resolving of address -> symbol name there, IIUC.  dladdr() only resolves .dynsym symbol while elfutils (and libunwind) resolve also .symtab, separate debug info (*-debuginfo.rpm) and minidebuginfo (.gnu_debugdata in the main binary).

address -> symbol name resolving can be done with RH-supported elfutils
package, a simple self-backtrace with symbol resolving is for example:
       	http://people.redhat.com/jkratoch/backtracei.c
Comment 1 Jaroslav Reznik 2015-03-03 10:08:10 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 2 Fedora End Of Life 2016-07-19 06:28:58 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.